/* split.h -- declarations for event splitter.
   Copyright (C) 2004 Petrozavodsk State University.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.  */

/* Author: Mikhail Kryshen, Andrey Ananin
   Date: 30.04.2004 */

#ifndef SPLIT_H
#define SPLIT_H

#include "analyzer.h"

/* 
 * Create events sequence from ptu sequence.  
 */
void split (struct ptu *ptu_sequence,
	    struct event **events_sequence,
	    struct host *hosts, struct link **links,
	    struct flow **flows);

#endif /* SPLIT_H */
