/*
 * File:   anlz_strerror_1.c
 * Author: Andrew Salo
 * Date:   23.04.2004
 */

#include <stdio.h>
#include <stdlib.h>

#include "analyzer.h"
#include "error.h"
#include "config.h"


/*
 * Entry point of testing program.
 */
int
__wrap_main (int argc, char **argv)
{
  const char *str;

  /* Get descritive error message string using anlz_strerror()
     and ERR_* constant. */
  str = anlz_strerror (ERR_IP);

  /* Check the string.  */
  if (str == NULL)
    exit (EXIT_FAILURE);

#ifdef DEBUG
  fprintf (stderr, "anlz_strerror() returned string: %s\n", str);
#endif /* DEBUG */

  exit (EXIT_SUCCESS);
}
