/*
 * File:   error_1_1.c
 * Author: Andrew Salo
 * Date:   24.04.2004
 */

#include <errno.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "analyzer.h"
#include "error.h"
#include "config.h"


/*
 * Entry point of testing program.
 */
int
__wrap_main (int argc, char **argv)
{
  /* Construct "permission denied" error for file "file_name",
     print descriptive error message and exit with non-zero status.  */
  error (EXIT_FAILURE, "file_name", strerror (EACCES));

  exit (EXIT_SUCCESS);
}
