/*
 * File:   error_2_1.c
 * Author: Andrew Salo
 * Date:   24.04.2004
 */

#include <errno.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "analyzer.h"
#include "error.h"
#include "config.h"


/*
 * Entry point of testing program.
 */
int
__wrap_main (int argc, char **argv)
{
  /* Construct "truncated packet" warning and
     print descriptive error message.  */
  error (EXIT_SUCCESS, "warning", anlz_strerror (ERR_TRUNC_PKT));

#ifdef DEBUG
  fprintf (stderr, "Control returned to caller function.\n");
#endif /* DEBUG */

  exit (EXIT_SUCCESS);
}
