/* pefwrite_http.h -- declarations for HTTP header parser.
   Copyright (C) 2004 Petrozavodsk State University.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.  */

/* Author: Andrew Salo
   Date:   10.05.2004 */

#ifndef PEFWRITE_HTTP
#define PEFWRITE_HTTP

#include <stdio.h>

#include "analyzer.h"


/* Names for HTTP variables.  */
extern const char *http_variables[];

/* Write HTTP message header.  */
void pefwrite_http (FILE * out, struct event *unit, const char *prefix);

#endif /* PEFWRITE_HTTP */
