/*
 * File:   error_1_2.c
 * Author: Andrew Salo
 * Date:   24.04.2004
 */

#include <errno.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "analyzer.h"
#include "error.h"
#include "config.h"


/*
 * Entry point of testing program.
 */
int
__wrap_main (int argc, char **argv)
{
  /* Construct "invalid number of packet trace files" Analyzer error,
     print descriptive error message and exit with non-zero status.  */
  error (EXIT_FAILURE, NULL, anlz_strerror (ERR_NUM_FILES));

  exit (EXIT_SUCCESS);
}
